%bcond_without check

%global goipath         github.com/gophercloud/gophercloud
Version:                0.20.0

%gometa

%global common_description %{expand:
Package Gophercloud provides a multi-vendor interface to OpenStack-compatible
clouds. The library has a three-level hierarchy: providers, services, and
resources.}

%global golicenses      LICENSE
%global godocs          docs CHANGELOG.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        OpenStack SDK for Go

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(golang.org/x/crypto/ssh)
BuildRequires:  golang(gopkg.in/yaml.v2)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck -d acceptance/openstack/baremetal/noauth       \
         -d acceptance/openstack/blockstorage/extensions        \
         -d acceptance/openstack/imageservice/v2        \
         -d acceptance/openstack/networking/v2/extensions/qos/rules   \
         -t acceptance/openstack/sharedfilesystems/v2   \
         -d acceptance/openstack/workflow/v2   \
         -d acceptance/openstack/identity/v3
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.0-1
- initial build
